"""Stored updates.json in DB

Revision ID: 9cc7531cd1fd
Revises: 01a2473ec38c
Create Date: 2025-06-18 12:48:33.484075

"""

# revision identifiers, used by Alembic.
revision = '9cc7531cd1fd'
down_revision = '01a2473ec38c'
branch_labels = None

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'update_info',
        sa.Column('params_hash', sa.String(length=64), nullable=False),
        sa.Column('params_str', sa.Text(), nullable=False),
        sa.Column('fetched_at', sa.DateTime(), nullable=False),
        sa.Column('blocked', sa.Text(), nullable=False),
        sa.Column('error', sa.String(), nullable=True),
        sa.PrimaryKeyConstraint('params_hash'),
    )
    op.create_table(
        'remote_release_meta',
        sa.Column('update_info_params_hash', sa.String(length=64), nullable=False),
        sa.Column('release', sa.String(length=64), nullable=False),
        sa.Column('hash', sa.String(length=64), nullable=False),
        sa.Column('ps_deployed', sa.DateTime(timezone=True), nullable=True),
        sa.Column('ps_released', sa.DateTime(timezone=True), nullable=True),
        sa.ForeignKeyConstraint(['update_info_params_hash'], ['update_info.params_hash'], ondelete='CASCADE'),
        sa.PrimaryKeyConstraint('update_info_params_hash', 'release'),
    )
    op.create_table(
        'release_distros',
        sa.Column('release', sa.String(length=64), nullable=False),
        sa.Column('distro', sa.String(length=64), nullable=False),
        sa.PrimaryKeyConstraint('release', 'distro'),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('release_distros')
    op.drop_table('remote_release_meta')
    op.drop_table('update_info')
    # ### end Alembic commands ###
